# std::make_obj_using_allocator

From cppreference.com
< cpp‎ | memory

Defined in header `<memory>` |  |
template< class T, class Alloc, class... Args > T make_obj_using_allocator( const Alloc& alloc, Args&&... args ) |  | (since C++20)

Creates an object of the given type `T` by means of uses-allocator construction

Equivalent to

    return std::make_from_tuple<T>(
        std::uses_allocator_construction_args<T>(alloc, std::forward<Args>(args)...)
    );

### Parameters

alloc | - | the allocator to use.
args | - | the arguments to pass to T's constructor

### Return value

The newly-created object of type `T`

### Exceptions

May throw any exception thrown by the constructor of `T`, typically including std::bad_alloc

### Example

| This section is incomplete Reason: no example

### See also

uses_allocator_construction_args (C++20) | prepares the argument list matching the flavor of uses-allocator construction required by the given type (function template)
uninitialized_construct_using_allocator (C++20) | creates an object of the given type at specified memory location by means of uses-allocator construction (function template)

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/memory/make_obj_using_allocator&oldid=110609"